version: '3.8'

services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: module-farmasi
    env_file:
      - .env
    environment:
      AUTH_ORIGIN: ${AUTH_ORIGIN:-http://localhost:3001}
      NITRO_HOST: ${NITRO_HOST:-0.0.0.0}
      NITRO_PORT: ${NITRO_PORT:-3001}
      HOST: ${HOST:-0.0.0.0}
      PORT: ${PORT:-3001}
    ports:
      - "3001:3001"
    restart: unless-stopped
